REGCONVERT(1)

NAME
regconvert - Convert between different Regina file formats

SYNOPSIS

regconvert [ -x | -u ] old-file [ new-file ]

DESCRIPTION

This utility converts back and forth between different Regina file formats.

    Note: As of September 2013, the ancient binary file format that was used with Regina 2.x is no longer supported. This format has not been in use for over a decade now. If you still have files in this format, you will need to download Regina 4.93 to convert them.

The argument old-file should be the file to read and convert; the argument new-file should be the name of the new converted file to write. These two filenames may be the same, in which case the old file will be replaced with the new.

If the argument new-file is missing then the new file will be written to standard output, which forces the output to be uncompressed XML (see option -u).

OPTIONS

-x (default)
    Convert to compressed XML.

-u  Convert to plain (uncompressed) XML.

MACOS\~X USERS

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as /Applications/Regina.app/Contents/MacOS/regconvert.

WINDOWS USERS

The command-line utilities are installed beneath the Program Files directory; on some machines this directory is called Program Files (x86). You can start this utility by running c:\Program Files\Regina\Regina 5.1\bin\regconvert.exe.

SEE ALSO

regfiletype, regina-gui.

AUTHOR

This utility was written by Benjamin Burton <bab@maths.uq.edu.au>. Many people have been involved in the development of Regina; see the users' handbook for a full list of credits.